Bug 864883 - Remove "Disable Account" menu item for GOA-based accounts
Remove "Disable Account" menu item for GOA-based accounts
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evolution (Show other bugs)
All Linux
unspecified Severity medium
: beta
: 7.0
Assigned To: Matthew Barnes
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2012-10-10 06:43 EDT by Vladimir Benes
Modified: 2013-05-21 07:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: evolution-3.6.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-21 07:22:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screencast (615.06 KB, video/webm)
2012-10-19 03:04 EDT, Vladimir Benes
no flags Details

  None (edit)
Description Vladimir Benes 2012-10-10 06:43:55 EDT
Description of problem:
I've added gmail account via g-o-a and disabled it in evo. Now I can see enable option to all my account but this gmail one. Another issue is that it wasn't reported back to g-o-a that the account was disabled. Now I can only delete everything from g-o-a and add again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.add gmail account to g-o-a
2.go to evolution and disable account
3.enable it via evo or g-o-a again
Actual results:
not working in either program

Expected results:
should work from both (enable/disable)

Additional info:
Comment 1 Vladimir Benes 2012-10-10 06:49:57 EDT
the account can be re-enabled the bug is that the state is not reflected in g-o-a and mail account has to be switched to off in g-o-a and then after several seconds back to on. Then it's re-enabled successfully
Comment 2 Matthew Barnes 2012-10-10 07:53:55 EDT
I'd like to see a screen shot of your account list in Evolution, please.

There's not supposed to be an "Enabled" checkbox for G-O-A accounts in Evolution nor any other way to disable the account.  If there is, then that would be the bug.  G-O-A accounts must be enabled or disabled exclusively through the Online Accounts panel in System Settings.
Comment 3 Vladimir Benes 2012-10-19 03:04:11 EDT
(In reply to comment #2)
> I'd like to see a screen shot of your account list in Evolution, please.
I've recorded a screenshot. You can see that account can be disabled in evolution but the state is not reflected in g-o-a. Account can be manipulated in g-o-a correctly.

Another example is empathy. When gmail account is added via g-o-a and that account is disabled in empathy chat switch is moved to off. 

All this behaviour should be consistent. So there are two possible ways how to fix this:

1. remove disable button from evolution
2. add enable button to evolution and make g-o-a states synchronized.
Comment 4 Vladimir Benes 2012-10-19 03:04:40 EDT
Created attachment 629830 [details]
Comment 5 Matthew Barnes 2012-10-19 07:42:26 EDT
Okay thanks, that clarifies the problem.  The "Disable Account" option in the right-click menu should be removed for GOA-based accounts.  Changing Summary to better state the problem.
Comment 6 Matthew Barnes 2012-10-19 09:01:16 EDT
Fixed upstream in commit:

Will be included in Evolution 3.6.2.  Should trickle down to RHEL 7 eventually.
Comment 8 Vadim Rutkovsky 2013-05-21 07:22:22 EDT
Fixed in evolution 3.6.2, cannot reproduce in evolution-3.8.1-1.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.